show-methods {planor} | R Documentation

## Display Objects

### Description

Methods to display the design key matrices.

### Usage

    ## S4 method for signature 'designkey'
    show(object)

    ## S4 method for signature 'keymatrix'
    show(object)

    ## S4 method for signature 'keyring'
    show(object)

    ## S4 method for signature 'listofdesignkeys'
    show(object)

    ## S4 method for signature 'listofkeyrings'
    show(object)

### Arguments

`object` | object of the class

### Details

The slot `pseudo.info` of the objects of class `keymatrix` is invisible.

### Value

NULL

### Note

- An R option named `planor.max.print` is set. It is equal to the number of printed rows and columns in the display of planor matrices. Default is 20. You can change its value by using the function `options()` (see `?options`).
- This method is automatically invoked when objects of the class are displayed (see examples).

### See Also

Classes where this method applies: `designkey`, `keymatrix`, `keyring`, `listofdesignkeys`, `listofkeyrings`

### Examples

    ### Creation of a listofdesignkeys object
    K0 <- planor.designkey(factors=c("R","C","U","A","B1","B2"),
     nlevels=c(3,2,2,3,2,2), model=~R*C + (A+B1+B2)^2, estimate=~A:B1+A:B2,
     nunits=12, base=~R+C+U, max.sol=2)
    ### Method show applied on a keymatrix object
    show(K0[[1]][[1]])
    ### Method show applied on a designkey object
    show(K0[1])
    ### Method show applied on the listofdesignkeys object
    show(K0)
    K0 #  same

    ### Creation of a listofkeyrings object
    K0 <- planor.designkey(factors=c(LETTERS[1:4], "block"), nlevels=rep(3,5),
    model=~block+(A+B+C+D)^2, estimate=~A+B+C+D,
    nunits=3^3, base=~A+B+C, max.sol=2)
    ### Method show applied on a keyring object
    show(K0[[1]])
    print(K0[[1]]) #  same
    K0[[1]] # same
    ### Method show applied on the listofkeyrings object
    show(K0)

[Package planor version 1.5-1 Index]